*, *::before, *::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html, body {
	min-height: 100vh;
}

ul, ol {
	list-style: none;
}

a {
	color: inherit;
	text-decoration: none;
}

a:hover, a:active, a:focus {
	text-decoration: underline;
}

.hidden {
	display: none;
}

ul.bullets {
	list-style: disc;
	padding: revert;
	margin: 0.4em 0;
}

.narrow {
	max-width: 50em;
}

*, *::before, *::after {
	font-family: "Segoe UI", Candara, "Bitstream Vera Sans", "DejaVu Sans", "Trebuchet MS", Verdana, "Verdana Ref", sans-serif;
}

body {
	display: flex;
	flex-flow: column nowrap;
	max-width: 60rem;
	margin: 0 auto;
	font-size: 90%;
}
body > header,
body > main,
body > footer {
	padding: 1em;
}
body > main {
	display: flex;
	flex-flow: column nowrap;
	height: 100%;
}
body > header {
	background-color: #c6ecd9;
}
body > footer {
	background-color: #d9f2e6;
}

button {
	font-size: 1em;
}

footer {
	margin-top: auto;
}

.kint-rich footer {
	font-size: unset;
}

.servers-list button {
	border: none;
	color: #4d4d4d;
	padding: 0.1em 0.2em;
	border-radius: 0.2em;
}

div.login > form {
	display: inline-grid;
	grid-template-columns: auto 1fr;
}
div.login > form > button {
	grid-column: 1/3;
}

form.login {
	display: inline-grid;
	grid-template-columns: auto 1fr;
	margin: 0 auto;
	text-align: left;
	gap: 0.5em;
}
form.login > .wide {
	grid-column: 1/3;
}

label, select {
	display: block;
}

.dev-note {
	color: #999999;
}

h3 {
	margin: 1rem -1rem 0.4rem;
	padding: 0.4rem 1rem;
	color: #003844;
	background-color: rgba(0, 0, 0, 0.02);
}

h4 {
	margin-top: 0.8em;
	margin-bottom: 0.4em;
	color: #003844;
}

p.disclaimer {
	/* margin-top: 1em; */
	color: #555;
}

p {
	margin: 0.4em 0;
}

.contact-grid {
	display: grid;
	grid-template-columns: auto 1fr;
	max-width: 20em;
	gap: 0.2em 1em;
	margin: 0 0 1em;
}

nav.form-footer {
	margin-top: 2em;
}

button, label.button {
	padding: 0.4em 1em;
	border-width: 1px;
	border-radius: 0.2em;
}

button[type=submit] {
	font-weight: bold;
	color: darkgreen;
	border-color: darkgreen;
	border-color: #006600;
	border-color: rgba(0, 102, 0, 0.3);
	width: 20rem;
}

button[type=submit]:hover {
	background-color: #ddd;
}

.form-grid {
	display: grid;
	grid-template-columns: 10em 1fr;
	max-width: 30em;
	gap: 0.2em 1em;
	margin: 0.5em 0;
}

form {
	margin: 0 auto;
}

textarea {
	width: 100%;
}

#drop-target {
	border: 1px solid #ccc;
	border-radius: 0.2em;
	width: 100%;
	padding: 1em 1em 2em 1em;
	position: relative;
}
#drop-target.highlight {
	border-color: rgba(104, 13, 53, 0.5);
	background-color: rgba(230, 232, 227, 0.5);
}
#drop-target progress {
	display: block;
	width: 100%;
	background-color: white;
	height: 1em;
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
}

p {
	margin-top: 0;
}

#upload-gallery {
	display: grid;
	grid-template-columns: repeat(auto-fit, 20em);
	justify-content: start;
	position: relative;
	margin-top: 10px;
}
#upload-gallery > * {
	vertical-align: middle;
	max-width: 100%;
	height: 15em;
	margin: 10px auto;
}

label.button {
	background-color: #eee;
	display: inline-block;
	border: 1px solid #ccc;
	cursor: pointer;
}

label.button:hover {
	background-color: #ddd;
}

#upload-fileinput {
	display: none;
}

button.delete {
	display: block;
	visibility: hidden;
	position: absolute;
	border: 1px solid #e6e6e6;
	background-color: rgba(230, 230, 230, 0.5);
	margin-top: 0.5em;
	margin-left: -0.5em;
	cursor: pointer;
}

button.delete.fade-out {
	visibility: hidden;
	opacity: 0;
	transition: visibility 0s linear 300ms, opacity 300ms;
}

button.delete.fade-in {
	visibility: visible;
	opacity: 1;
	transition: visibility 0s linear 0ms, opacity 300ms;
}

body.cama-county > header {
	background-color: unset;
	display: flex;
	justify-content: flex-start;
	align-items: center;
	padding-top: 0;
	padding-bottom: 0;
}
body.cama-county > header a.logo {
	position: relative;
	z-index: 1;
}
body.cama-county > header a.logo img {
	width: 100%;
}
/* body.cama-county > header a.logo::before {
	content: "";
	width: 100%;
	height: 100%;
	position: absolute;
	transform: rotate(45deg);
	background-color: white;
	z-index: -1;
} */
body.cama-county > header .county {
	padding: 1em;
	z-index: 1;
}
body.cama-county > nav {
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	padding-left: 200px;
	padding-left: calc(1em + 1em + 180px);
	color: #ffebc6;
	background-color: #003844;
	min-height: 3em;
}
body.cama-county > nav a {
	margin-right: 1rem;
	margin-left: -1rem;
	padding: 1rem;
}
body.cama-county > nav a.selected {
	background-color: rgba(255, 255, 255, 0.15);
}
body.cama-county > nav a.selected:hover {
	text-decoration: none;
	cursor: default;
}
body.cama-county > footer {
	display: grid;
	grid-template-columns: 1fr;
	gap: 1em;
	color: #ffebc6;
	background-color: #003844;
	margin-bottom: 1rem;
}
@media (min-width: 35em) {
	body.cama-county > footer {
	grid-template-columns: 1fr 1fr;
	}
}
body.cama-county > footer .creator {
	grid-column: 1/3;
}

td[left], th[left] {
	text-align: left;
}

td[center], th[center] {
	text-align: center;
}

td[right], th[right] {
	text-align: right;
}

.wide {
	overflow-x: auto;
	overflow-y: visible;
	display: block;
}

section.data {
	margin: 1rem 0;
	padding: 0 1rem 1rem;
	border-radius: 0.1rem;
	background-color: rgba(0, 0, 0, 0.03);
}

section.data h2 {
	margin: 0 -1rem 1rem;
	padding: 0.5rem 1rem 0.75rem;
	background-color: rgba(0, 0, 0, 0.05);
	color: #003844;
}

section.data table {
	border-spacing: 0;
}

section.data table tr.dynamic {
	background-color: #e3e3e3;
}

.data-1d {
	display: grid;
	grid-template-columns: auto auto;
	justify-content: left;
	gap: 0.3rem 1rem;
}

.data-1d .label {
	color: #003844;
	font-weight: 600;
}

table.protests {
	width: 100%;
}

table.list thead tr {
	color: #ffebc6;
	background-color: #003844;
}

table.list tbody tr:nth-of-type(odd) {
	background-color: #ededed;
}

table.list tbody tr:nth-of-type(even) {
	background-color: #dedede;
}

table.list th {
	padding: 0.3em 0.6em;
	vertical-align: bottom;
	font-weight: normal;
}

table.list td {
	padding: 0.3em 0.6em;
	vertical-align: top;
}

table.list td.note {
	min-width: 15em;
}

table.list td p {
	margin: 0;
}

a.button {
	display: inline-block;
	padding: 0.2em 0.5em;
	background-color: #fff;
	border: 1px solid #003844;
	border-radius: 0.2em;
	cursor: pointer;
	text-decoration: none;
}

a.button:hover {
	background-color: #ffebc6;
}

section.last-result {
	margin: 1rem 0;
	padding: 0 1rem 1rem;
	border-radius: 0.1rem;
	background-color: rgba(169, 72, 72, 0.3);
}

section.last-result h2 {
	margin: 0 -1rem 1rem;
	padding: 0.5rem 1rem 0.75rem;
	background-color: rgba(169, 72, 72, 0.5);
	color: black;
}

label[required]::after {
	content: "*";
	color: red;
	font-weight: bold;
	padding: 0.2em;
}
